"{ Package: 'jv:libgdbs' }"

GDBMICommand subclass:#GDBMI_interpreter_exec
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_interpreter_exec class methodsFor:'documentation'!

documentation
"
The `-interpreter-exec' Command
-------------------------------

Synopsis
--------

     -interpreter-exec INTERPRETER COMMAND
Execute the specified COMMAND in the given INTERPRETER.

{No value for `GDBN'} Command
-----------------------------

The corresponding {No value for `GDBN'} command is `interpreter-exec'.

Example
-------

     (gdb)
     -interpreter-exec console 'break main'
     &'During symbol reading, couldn't parse type; debugger out of date?.\n'
     &'During symbol reading, bad structure-type format.\n'
     ~'Breakpoint 1 at 0x8074fc6: file ../../src/gdb/main.c, line 743.\n'
     ^done
     (gdb)


"
! !

!GDBMI_interpreter_exec methodsFor:'accessing'!

operation
	^ 'interpreter-exec'
! !

