"{ Package: 'jv:libgdbs' }"

GDBMICommand subclass:#GDBMI_stack_list_locals
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_stack_list_locals class methodsFor:'documentation'!

documentation
"
The `-stack-list-locals' Command
--------------------------------

Synopsis
........

      -stack-list-locals [ --no-frame-filters ] [ --skip-unavailable ] PRINT-VALUES

   Display the local variable names for the selected frame.  If
PRINT-VALUES is 0 or `--no-values', print only the names of the
variables; if it is 1 or `--all-values', print also their values; and
if it is 2 or `--simple-values', print the name, type and value for
simple data types, and the name and type for arrays, structures and
unions.  In this last case, a frontend can immediately display the
value of simple data types and create variable objects for other data
types when the user wishes to explore their values in more detail.  If
the option `--no-frame-filters' is supplied, then Python frame filters
will not be executed.

   If the `--skip-unavailable' option is specified, local variables
that are not available are not listed.  Partially available local
variables are still displayed, however.

   This command is deprecated in favor of the `-stack-list-variables'
command.

{No value for `GDBN'} Command
.............................

`info locals' in {No value for `GDBN'}, `gdb_get_locals' in `gdbtk'.

Example
.......

     (gdb)
     -stack-list-locals 0
     ^done,locals=[name='A',name='B',name='C']
     (gdb)
     -stack-list-locals --all-values
     ^done,locals=[{name='A',value='1'},{name='B',value='2'},
       {name='C',value='{1, 2, 3}'}]
     -stack-list-locals --simple-values
     ^done,locals=[{name='A',type='int',value='1'},
       {name='B',type='int',value='2'},{name='C',type='int [3]'}]
     (gdb)


"
! !

!GDBMI_stack_list_locals methodsFor:'accessing'!

operation
	^ 'stack-list-locals'
! !

