"{ Package: 'jv:libgdbs' }"

Object subclass:#GDBProcess
	instanceVariableNames:'pid debuggerInput debuggerOutput connection'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Private'
!

!GDBProcess class methodsFor:'instance creation'!

new
    "return an initialized instance"

    ^ self basicNew initialize.
! !

!GDBProcess class methodsFor:'queries'!

isAbstract
    "Return if this class is an abstract class.
     True is returned here for myself only; false for subclasses.
     Abstract subclasses must redefine again."

    ^ self == GDBProcess.
! !

!GDBProcess methodsFor:'accessing'!

connection:aGDBConnection
    connection := aGDBConnection.
!

debuggerInput
    ^ debuggerInput
!

debuggerOutput
    ^ debuggerOutput
!

pid
    ^ pid
! !

!GDBProcess methodsFor:'initialization'!

release
    pid := connection := nil.
    debuggerInput notNil ifTrue:[ 
        debuggerInput close.
        debuggerInput := nil.
    ].
    debuggerOutput notNil ifTrue:[ 
        debuggerOutput close.
        debuggerOutput := nil.
    ].

    "Created: / 20-06-2014 / 21:35:25 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBProcess methodsFor:'private'!

exited: status
    connection released: status

    "Created: / 20-06-2014 / 21:35:09 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

