"{ Package: 'jv:libgdbs' }"

Object subclass:#GDBThreadState
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core'
!

GDBThreadState class instanceVariableNames:'theOneAndOnlyInstance'

"
 No other class instance variables are inherited by this class.
"
!

!GDBThreadState class methodsFor:'instance creation'!

flushSingleton
    "flushes the cached singleton"

    theOneAndOnlyInstance := nil

    "
     self flushSingleton
    "
!

new
    "returns a singleton"

    ^ self theOneAndOnlyInstance.
!

theOneAndOnlyInstance
    "returns a singleton"

    self == GDBThreadState ifTrue:[ 
        self error: 'GDBThreadState is an abstract superclass'
    ].

    theOneAndOnlyInstance isNil ifTrue:[
        theOneAndOnlyInstance := self basicNew initialize.
    ].
    ^ theOneAndOnlyInstance.

    "Modified: / 01-10-2014 / 01:27:19 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBThreadState class methodsFor:'testing'!

isAbstract
    ^ self == GDBThreadState
! !

!GDBThreadState methodsFor:'testing'!

isRunning
    ^ false

    "Created: / 07-09-2014 / 23:22:22 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

isStopped
    ^ false

    "Created: / 07-09-2014 / 23:22:27 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

isTerminated
    ^ false

    "Created: / 07-09-2014 / 23:22:31 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

